import { TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TranslationService {
    private translate;
    constructor(translate: TranslateService);
    setLanguage(lang: string): void;
    translateInstant(key: string, params?: any): string;
    getLanguage(): string;
    translateGet(key: string | string[], params?: any): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TranslationService>;
}
